POST
/api/v1/container_registry/registries/ping/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/ping/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "registry_type": "docker-hub", "registry_name": "source-registry", "registry_description": "docker hub source registry", "registry_url": "https://hub.docker.com", "registry_insecure": true, "access_key": "<token_name>", "access_secret": "<token_value>"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/ping/", params={"cr_project_id": "<CR_PROJECT_ID>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "registry_type": "docker-hub", "registry_name": "source-registry", "registry_description": "docker hub source registry", "registry_url": "https://hub.docker.com", "registry_insecure": True, "access_key": "<token_name>", "access_secret": "<token_value>", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/ping/");url.search = new URLSearchParams({ cr_project_id: "<CR_PROJECT_ID>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "registry_type": "docker-hub", "registry_name": "source-registry", "registry_description": "docker hub source registry", "registry_url": "https://hub.docker.com", "registry_insecure": true, "access_key": "<token_name>", "access_secret": "<token_value>" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cr_project_id
required
integer
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
registry_type
string
Example
docker-hubregistry_name
string
Example
source-registryregistry_description
string
Example
docker hub source registryregistry_url
string
Example
https://hub.docker.comregistry_insecure
boolean
Example
trueaccess_key
string
Example
<token_name>access_secret
string
Example
<token_value>Responses
Section titled “Responses”Connection test completed successfully.
Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Connection Testing Successfull"}